/**
 Description: Start of Angular application
 Copyright (c) 2016 by Cisco Systems, Inc.
 All rights reserved.
 */
'use strict';

// Make this variable true if running the application locally.
var runFromLocalhost = properties.useLocalData;
var httpServerBasePath = "";

var app = angular.module('webUiDevApp', [
	'ngCookies',
	'ngResource',
	'ngSanitize',
	'ngRoute',
	'angular-wizard',
	'kendo.directives',
	'ngDraggable',
	'pascalprecht.translate'

]).config(function ($routeProvider, $translateProvider) {
	
	$translateProvider.registerAvailableLanguageKeys(['en', 'ja', 'ko'], {
		'en_US' : 'en',
		'en_UK' : 'en',
		'ja_JP' : 'ja',
		'ja-JP' : 'ja',
		'ko-kp' : 'ko',
		'ko-kr' : 'ko'
	}).determinePreferredLanguage();
	$translateProvider.useStaticFilesLoader({
		prefix : '../nls/ApplicationProperties-',
		suffix : '.json'
	});
	$translateProvider.fallbackLanguage('en');

	$routeProvider.when('/day0', {
			templateUrl : 'wizard/views/dayzeroView.html',
			controller : 'DayZeroCtrl'
		}).
		otherwise({
		redirectTo : '/day0'
		});
});

